summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorExplorer09 <explorer09@gmail.com>2018-09-22 11:00:18 +0800
committerExplorer09 <explorer09@gmail.com>2018-09-22 11:00:18 +0800
commit8900923e91e6d00f66ceaf96128afbab341bdf89 (patch)
tree7c77c3833a3e42ab4b1f0e0cf62bb09ab0d606b9
parent98018e3f58d79e082216d406866942841d4bdf8a (diff)
downloadflex-git-8900923e91e6d00f66ceaf96128afbab341bdf89.tar.gz
build: autogen.sh libtoolize invocation minor fixes.
* Let autogen.sh error message go to stderr. * Don't quote the variable $LIBTOOLIZE when invoking it. This would allow invocation when LIBTOOLIZE='a-future-libtoolize --gnu-compat' Signed-off-by: Kang-che Sung <explorer09@gmail.com>
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 6802e9f..5886178 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -34,8 +34,8 @@ if test "$?" -ne 0; then
LIBTOOLIZE=glibtoolize
$LIBTOOLIZE --version 2>/dev/null
if test "$?" -ne 0; then
- echo "error: libtoolize not working, re-run with LIBTOOLIZE=/path/to/libtoolize"
- echo " LIBTOOLIZE is currently \"$LIBTOOLIZE_ORIG\""
+ echo "error: libtoolize not working, re-run with LIBTOOLIZE=/path/to/libtoolize">&2
+ echo " LIBTOOLIZE is currently \"$LIBTOOLIZE_ORIG\"">&2
exit 1
fi
fi
@@ -47,5 +47,5 @@ fi
if ! test -f ChangeLog; then
touch ChangeLog
fi
-"$LIBTOOLIZE" --install --force
+$LIBTOOLIZE --install --force
autoreconf --install --force